FreeMat

- Main Page
- Related Pages

vtkAssemblyPaths

Section: Visualization Toolkit Common Classes

# Usage

vtkAssemblyPaths represents an assembly hierarchy as a list of vtkAssemblyPath. Each path represents the complete path from the top level assembly (if any) down to the leaf prop.

To create an instance of class vtkAssemblyPaths, simply invoke its constructor as follows

      obj = vtkAssemblyPaths

# Methods

The class vtkAssemblyPaths has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAssemblyPaths class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAssemblyPaths = obj.NewInstance ()`
- `vtkAssemblyPaths = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkAssemblyPath p)` - Add a path to the list.
- `obj.RemoveItem (vtkAssemblyPath p)` - Remove a path from the list.
- `int = obj.IsItemPresent (vtkAssemblyPath p)` - Determine whether a particular path is present. Returns its position in the list.
- `vtkAssemblyPath = obj.GetNextItem ()` - Get the next path in the list.
- `long = obj.GetMTime ()` - Override the standard GetMTime() to check for the modified times of the paths.